<?php 
/**
 * The header for our theme.
 *
 * Displays all of the <head> section 
 *
 * @package Hostby
*/
?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <div class="wrapper">
        <!-- ====== scroll to top ====== -->
        <a id="goTop" title="<?php esc_attr__('Go to top', 'hostby') ?>">
            <img src="<?php echo esc_url(get_template_directory_uri().'/assets/images/scroll.png');?>" alt="<?php get_post(get_post_thumbnail_id())->post_title; ?>">
        </a>
       <!-- ====== header starts ====== -->
        <header>
            <div class="header-wrap header-blue">
                <div class="container">
                    <div class="row">
                    <?php
                        $hostby_phone_value = get_theme_mod('hostby_header_phone_value');  
                        $hostby_email_value = get_theme_mod('hostby_header_email_value');
                        $hostby_header_social_link_1 = get_theme_mod('hostby_header_social_link_1');
                        $hostby_header_social_link_2 = get_theme_mod('hostby_header_social_link_2');
                        $hostby_header_social_link_3 = get_theme_mod('hostby_header_social_link_3');
                        $hostby_header_social_link_4 = get_theme_mod('hostby_header_social_link_4');
            
                    ?>
                        <div class="col-md-12 d-none d-lg-block">
                            <div class="logo-blue">
                                <?php   
                                if (has_custom_logo()) :
                                ?> 
									<h1>
										<?php the_custom_logo(); ?>
									</h1>
									<?php  
								endif;	
                                if (display_header_text()==true)
								{?>
									<h1>
										<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo">
											<span class="site-title" ><?php bloginfo( 'title' ); ?>
											</span>
										</a>
									</h1>
									<?php 
                                } ?>
                            </div>
                            <div class="head-detail">
                                <div class="row top-logs-area">
                                    <div class="col-md-6 cal-us">
                                        <?php if (!empty($hostby_phone_value)) { ?>
                                            <?php echo esc_html__( 'CALL US : ', 'hostby' );  echo esc_html($hostby_phone_value); ?>
                                        <?php } ?>
                                    </div>
                                    
                                    <div class="col-md-6 logs">
                                        <ul>
                                            <?php if (!empty($hostby_header_social_link_1)) { ?>
                                            <li class="drops login">
                                                <a class="drop-links" href="<?php echo esc_url(get_theme_mod('hostby_header_social_link_1')); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                                            </li>
                                            <?php }
                                            if (!empty($hostby_header_social_link_2)) { ?> 
                                            <li class="drops register">
                                                <a class="drop-links" href="<?php echo esc_url(get_theme_mod('hostby_header_social_link_2')); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                                            </li>
                                            <?php }
                                            if (!empty($hostby_header_social_link_3)) { ?>
                                            <li class="drops languages">
                                                <a class="drop-links" href="<?php echo esc_url(get_theme_mod('hostby_header_social_link_3')); ?>">
                                                    <i class="fa fa-linkedin" aria-hidden="true"></i>
                                                </a>
                                            </li>
                                            <?php } 
                                            if (!empty($hostby_header_social_link_4)) { ?>
                                            <li class="drops languages">
                                                <a class="drop-links" href="<?php echo esc_url(get_theme_mod('hostby_header_social_link_4')); ?>">
                                                    <i class="fa fa-instagram" aria-hidden="true"></i>
                                                </a>
                                            </li>
                                            <?php } ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 d-none d-lg-block">
                            <div class="menubar">
                                <nav class="navbar">
                                    <?php wp_nav_menu(
                                        array(
                                            'container'        => 'ul', 
                                            'theme_location'    => 'primary', 
                                            'menu_class'        => 'navbar-nav', 
                                            'items_wrap'        => '<ul class="navbar-nav">%3$s</ul>',
                                            'fallback_cb'       => 'hostby_wp_bootstrap_navwalker::fallback',
                                            'walker'            => new hostby_wp_bootstrap_navwalker()
                                        )
                                    ); 
                                    ?>         
                                </nav>
                            </div>
                        </div>
                        <div class="col-md-12 d-lg-none">
                            <div class="mobile-affix">
                                <div class="container">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="menu-toggle">
                                                <i class="fa fa-bars"></i>
                                            </div>
                                            <div id="mobile-menu" class="mobile-menu">
                                                <span class="close-menu">
                                                    <i class="fa fa-times"></i>
                                                </span>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="mobile-logo">
                                                <?php   
                                                if (has_custom_logo()) :
                                                ?> 
                                                    <h1>
                                                        <?php the_custom_logo(); ?>
                                                    </h1>
                                                <?php  
                                                else : ?>
                                                    <h1>
                                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo">
                                                            <span class="mob-site-title" ><?php bloginfo( 'title' ); ?>
                                                            </span>
                                                        </a>
                                                    </h1>
                                                <?php 
                                                endif;?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- ====== header ends ====== -->
        