<?php 
// To display Blog Post section on front page
  
$hostby_blog_title =  get_theme_mod('hostby_blog_title');  
$hostby_blog_section = get_theme_mod('hostby_blog_section_hideshow','show');

if ($hostby_blog_section =='show') { 
?>

<!-- ====== blog starts ====== -->
    <section class="blog section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="all-title">
                        <?php if($hostby_blog_title !="")
                        {?>
                        <h3><?php echo esc_html(get_theme_mod('hostby_blog_title')); ?></h3>
                        <div class="title-border">
                            <span></span>
                        </div>
                        <?php 
                        } ?>
                    </div>
                </div>
            </div>
            <div class="row center-grid">
            <?php 
                $latest_blog_posts = new WP_Query( array( 'posts_per_page' => 3 ) );
                if ( $latest_blog_posts->have_posts() ) : 
                    while ( $latest_blog_posts->have_posts() ) : $latest_blog_posts->the_post(); 
            ?>
                    <div class="col-lg-3 col-md-6">
                        <article class="blog-item">
                            <div class="post-img">
                                <?php if(has_post_thumbnail()) : ?>
                                    <img src="<?php the_post_thumbnail_url('hostby-blog-front-thumbnail', array('class' => 'img-responsive')); ?>" alt="<?php echo get_post(get_post_thumbnail_id())->post_title; ?>">
                                <?php endif; ?>
                                <div class="post-meta">
                                    <span><?php the_time( get_option( 'date_format' ) ); ?></span>
                                </div>
                            </div>
                            <div class="post-content">
                                <h4>
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h4>
                                <?php the_excerpt();?>
                            </div>
                            <div class="post-bottom clearfix">
                                <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" class="post-admin">
                                    <i class="fa fa-user"></i><?php the_author();?>
                                </a>
                                <a href="<?php the_permalink() ?>" class="btn host-btn">
                                    <?php echo esc_html__('Read More', 'hostby' ); ?>
                                    <i class="fa fa-long-arrow-right i-round"></i>
                                </a>
                            </div>
                        </article>
                    </div>
                <?php 
                    endwhile; 
                endif; ?>
            </div>
        </div>
    </section>
    <!-- ====== blog ends ====== -->
<?php } ?>
<!-- post ends-->

