<?php
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Hostby
*/
$hostby_services_title = get_theme_mod('hostby-services_title');
$hostby_services_section     = get_theme_mod( 'hostby_services_section_hideshow','hide');
  
$services_no        = 6;
$services_pages      = array();
  
for( $i = 1; $i <= $services_no; $i++ ) {
   $services_pages[]    =  get_theme_mod( "hostby_services_page_$i", 1 );
}

$services_args  = array(
    'post_type' => 'page',
    'post__in' => array_map( 'absint', $services_pages ),
    'posts_per_page' => absint($services_no),
    'orderby' => 'post__in'
); 
    
$services_query = new   wp_Query( $services_args );
if( $hostby_services_section == "show" ) :
?>
    <!-- ====== service starts ====== -->
    <section class="service-2 section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <?php if($hostby_services_title != "")   {  ?> 
                        <div class="all-title">
                            <h3><?php echo esc_html(get_theme_mod('hostby-services_title')); ?></h3>
                            <div class="title-border">
                                <span></span>
                            </div>
                            <p>
                                <?php echo esc_html(get_theme_mod('hostby-services_subtitle')); ?>
                            </p>
                        </div>
                    <?php }?>
                </div>
            </div>
            <div class="row">
                <div class="service-slider owl-carousel owl-theme">
                    <?php
                    if($services_query->have_posts()):
                        while($services_query->have_posts()) :
                          $services_query->the_post();
                    ?>
                        <div class="item">
                            <div class="service-item">
                                <h4>
                                    <?php the_title(); ?>
                                </h4>
                                <?php if(has_post_thumbnail()) : ?>
                                    <?php the_post_thumbnail('hostby-services-thumbnail', array('class' => 'img-responsive')); 
                                endif; ?>
                                <?php the_excerpt(); ?>
                                <a href="<?php the_permalink(); ?>" class="btn host-btn">
                                    <?php echo esc_html__('Read More', 'hostby' ); ?>
                                    <i class="fa fa-long-arrow-right i-round"></i>
                                </a>
                            </div>
                        </div>
                    <?php
                        endwhile;
                        wp_reset_postdata();
                    endif;
                    ?>     
                </div>
            </div>
        </div>
    </section>
    <!-- ====== service ends ====== -->
<?php
  endif;
?>